RunTestExecutable (Gradle API 8.11)

Package org.gradle.nativeplatform.test.tasks

## Class RunTestExecutable

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.AbstractExecTask<RunTestExecutable>
        - - org.gradle.nativeplatform.test.tasks.RunTestExecutable

- All Implemented Interfaces:
    `java.lang.Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `VerificationTask`, `BaseExecSpec`, `ExecSpec`, `ProcessForkOptions`, `Configurable<Task>`

      @DisableCachingByDefault(because="Not made cacheable, yet")
      public abstract class RunTestExecutable
      extends AbstractExecTask<RunTestExecutable>
      implements VerificationTask

  Runs a compiled and installed test executable.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RunTestExecutable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `exec()` |
    `boolean` | `getIgnoreFailures()` | Specifies whether the build should break when the verifications performed by this task fail.
    `java.io.File` | `getOutputDir()` |
    `boolean` | `isIgnoreFailures()` |
    `void` | `setIgnoreFailures​(boolean ignoreFailures)` | Specifies whether the build should break when the verifications performed by this task fail.
    `void` | `setOutputDir​(java.io.File outputDir)` |

    - ### Methods inherited from class org.gradle.api.tasks.AbstractExecTask

      `args, args, commandLine, commandLine, copyTo, environment, environment, executable, getArgs, getArgumentProviders, getCommandLine, getEnvironment, getErrorOutput, getExecActionFactory, getExecutable, getExecutionResult, getObjectFactory, getStandardInput, getStandardOutput, getWorkingDir, isIgnoreExitValue, setArgs, setArgs, setCommandLine, setCommandLine, setCommandLine, setEnvironment, setErrorOutput, setExecutable, setExecutable, setIgnoreExitValue, setStandardInput, setStandardOutput, setWorkingDir, setWorkingDir, workingDir`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- - ### Constructor Detail

    - #### RunTestExecutable

          public RunTestExecutable()

  - ### Method Detail

    - #### exec

          protected void exec()

      Overrides:
        `exec` in class `AbstractExecTask<RunTestExecutable>`

    - #### getOutputDir

          @OutputDirectory
          public java.io.File getOutputDir()

    - #### setOutputDir

          public void setOutputDir​(java.io.File outputDir)

    - #### getIgnoreFailures

          @Input
          public boolean getIgnoreFailures()

      Specifies whether the build should break when the verifications performed by this task fail.
      Specified by:
        `getIgnoreFailures` in interface `VerificationTask`
      Returns:
        false, when the build should break on failure, true when the failures should be ignored.

    - #### isIgnoreFailures

          @Internal
          public boolean isIgnoreFailures()

    - #### setIgnoreFailures

          public void setIgnoreFailures​(boolean ignoreFailures)

      Specifies whether the build should break when the verifications performed by this task fail.
      Specified by:
        `setIgnoreFailures` in interface `VerificationTask`
      Parameters:
        `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.